{% extends "base.html" %}
{% load i18n %}
{% load static from staticfiles %}
{% load url from future %}

{% block title %}
    {{ block.super }} New
{% endblock %}

{% block content %}
    {% if messages %}
        <p>
        <ul class="messages">
            {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message|safe }}</li>
            {% endfor %}
        </ul>
        </p>
    {% endif %}


    {% if form.errors %}
        <p style="color: red;">
            Please correct the error{{ form.errors|safe|pluralize }} below.
        </p>
    {% endif %}

    <form action="" method="POST" class="niceform">{% csrf_token %}
        {{ form.non_field_errors }}

        <fieldset>
            <legend>
                Calendar
            </legend>
            <div class="fieldWrapper">
            </div>
            {{ form.url.errors }} {{ form.url.label }} {{ form.url }}
            <br>
            {{ form.orgs_list.errors }} {{ form.orgs_list.label }} {{ form.orgs_list }}


            <div style="clear:left;margin-left:200px;">
                <input type="submit" id="add" name="add" value="Add"/>
                <input type="Reset">
            </div>
        </fieldset>

    </form>

    {% if message %}
        <div>
            <small>
                {{ message|linebreaks }}
            </small>
        </div>
    {% endif %}

{% endblock %}

{% block css %}
    {{ block.super }}
    <link rel="stylesheet" href="{% static 'css/select2.min.css' %}"/>
{% endblock %}

{% block controleur_js %}
    {{ block.super }}
    <script src="{% static 'js/select2.min.js' %}"></script>

    <script type="text/javascript">
        $('.js-example-basic-single').select2({
            placeholder: "Select an organization"
        });
    </script>

{% endblock %}

